/* -*- mode: c++ -*- */
#ifndef __DataFile_h__
#define __DataFile_h__

#include <string>
#include <DataFormat.h>

/**
 * Defines a Generc DataFile object. This is the object in charge
 * of storing the data. The default one does nothing
 */
class DataFile
{
    public:
        enum BlockType { NewFile=0, StartOfRun, DataBlock, CheckPoint, EndOfRun, UserDataBlock=0x1000 };


    private:
        std::string _fnam;
    protected:
        std::string _header;


    public:
        DataFile(const std::string &name="output.dat") :
            _fnam(name)
        {
        }
        virtual ~DataFile()
        {
        }

        const std::string &file_name() const
        {
            return _fnam;
        }

        // Opens the file
        virtual void open(const std::string &nam="")
        {
        }
        // Closes the file
        virtual void close()
        {
        }

        // Writes the current event
        virtual void write(const EventData *evt)
        {
        }

        // Writes the current value of pedestals and noise
        // Also stores the run type, given in type
        virtual void write(int type, double *p, double *n)
        {
        }

        // Writes a buffer in a given block
        virtual void write( BlockType, size_t size, const char *buff)
        {

        }

        // A string with Xtra information that will go to the header
        void set_header(const std::string &s)
        {
            _header = s;
        }

        const std::string &get_header() const { return _header; }

};

#endif
