/*
 * PedestalRun.cc
 *
 *  Created on: May 12, 2010
 *      Author: lacasta
 */

#include "DAQmanager.h"
#include "PedestalRun.h"
#include "DAQConfig.h"
#include <ConfigFactory.h>

PedestalRun::PedestalRun(DAQmanager *b)
    : DataRun(b)
{

}

PedestalRun::~PedestalRun()
{
}

int PedestalRun::acquire(unsigned int val)
{
    ConfigFactory &cfg = ConfigFactory::instance();
    DAQConfig *daq = dynamic_cast<DAQConfig *>(cfg.get("daq"));
    return get_daq_manager()->get_board()->pedestal_acq(daq->sample_size());
}

int PedestalRun::read_data()
{
    return get_daq_manager()->get_board()->pedestal_reading();
}
