#!/usr/bin/env python
"""
Example of a soap client for alibava
"""
import sys
from alibavaSOAP import soapClient, Status


def main(host="localhost", port=10000):
    server = soapClient(host, port)
    
    S = Status( server.getStatus() )
    print S
    R = server.stopRun()
    
    R = server.startPedestalRun(1000)
    R = server.startLaserRun(1000, nbin=32, xmin=-512, xmax=512)
    for hst in R:
        print hst
    
    
    server.setDataFile( "alibava_data.dat" )
    R= server.startSourceRun(1000, nbin=32)
    for hst in R:
        print hst
    
    
if __name__ == "__main__":
    try:
        host = sys.argv[1]
    except IndexError:
        host = "localhost"
        
    try:
        port = int(sys.argv[2])
    except IndexError:
        port = 10000
        
    main(host, port)